:root {
  --min-size: 2px;
  --max-size: 20px;
}


.mainLoader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 999999;
  left: 0px;
  right: 0px;
}

.mainLoader .load {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  margin: 0px auto;
  left: 0px;
  right: 0px;
  top: 50%;
}

.load .dot {
  background: white;
  margin: 5px;
  -webkit-animation-name: loader;
  animation-name: loader;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-direction: alternate;
  animation-direction: alternate;
}

.load .dot:nth-child(1) {
  -webkit-animation-delay: 0.2s;
  animation-delay: 0.2s;
  background: #F03782;
}

.load .dot:nth-child(2) {
  -webkit-animation-delay: 0.4s;
  animation-delay: 0.4s;
  background: #9482C5;
}

.load .dot:nth-child(3) {
  -webkit-animation-delay: 0.6s;
  animation-delay: 0.6s;
  background: #EF7333;
}

.load .dot:nth-child(4) {
  -webkit-animation-delay: 0.8s;
  animation-delay: 0.8s;
  background: #64E6E1;
}

.load .dot:nth-child(5) {
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
  background: #FFE600;
}


@-webkit-keyframes loader {
  from {
    width: 2px;
    width: var(--min-size);
    height: 2px;
    height: var(--min-size);
    border-radius: calc(2px / 2);
    border-radius: calc(var(--min-size) / 2);
  }

  to {
    width: 20px;
    width: var(--max-size);
    height: 20px;
    height: var(--max-size);
    border-radius: calc(20px / 2);
    border-radius: calc(var(--max-size) / 2);
  }
}



@keyframes loader {
  from {
    width: 2px;
    width: var(--min-size);
    height: 2px;
    height: var(--min-size);
    border-radius: calc(2px / 2);
    border-radius: calc(var(--min-size) / 2);
  }

  to {
    width: 20px;
    width: var(--max-size);
    height: 20px;
    height: var(--max-size);
    border-radius: calc(20px / 2);
    border-radius: calc(var(--max-size) / 2);
  }
}